Уязвимость BDU:2019-01738

Дата: 24.09.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-01738.

Наименование уязвимости: Уязвимость функции chap_server_compute_md5() реализации протокола ISCSI ядра операционных систем Linux, позволяющая нарушителю вызвать отказ в обслуживании или получить доступ к защищаемой информации.

Описание уязвимости: Уязвимость функции chap_server_compute_md5() реализации протокола ISCSI ядра операционных систем Linux связана с некорректной проверкой границ доступа к памяти, приводящей к чтению за пределами буфера. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании или получить доступ к защищаемой информации
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 12.04 | Операционная система Canonical Ltd. Ubuntu 14.04 | Операционная система Red Hat Inc. Red Hat Enterprise Linux 7.0 | Операционная система Canonical Ltd. Ubuntu 16.04 | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Canonical Ltd. Ubuntu 18.04 | Операционная система Linux 3.10 до 3.10.102 включительно | Операционная система Linux 4.14 до 4.14.81 включительно | Операционная система Linux 4.18 до 4.18.19 включительно | Операционная система ООО «РусБИТех-Астра» Astra Linux Common Edition 2.12 «Орёл» |

Наименование ОС и тип аппаратной платформы:
Дата выявления: 24.09.2018.
CVSS 2.0: AV:N/AC:M/Au:N/C:P/I:P/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 8,3)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7)

Возможные меры по устранению:
Использование рекомендаций:
Для Linux:
https://git.kernel.org/pub/scm/linux/kernel/git/mkp/scsi.git/commit/?h=4.19/scsi-fixes&id=1816494330a83f2a064499d8ed2797045641f92c
https://git.kernel.org/pub/scm/linux/kernel/git/mkp/scsi.git/commit/?h=4.19/scsi-fixes&id=8c39e2699f8acb2e29782a834e56306da24937fe

Для Debian:
Обновление программного обеспечения (пакета linux-4.9) до 4.9.110-3+deb9u5~deb8u1 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета linux-4.9) до 4.9.110-3+deb9u5~deb8u1 или более поздней версии

Для Ubuntu:
https://usn.ubuntu.com/3775-1/
https://usn.ubuntu.com/3775-2/
https://usn.ubuntu.com/3776-1/
https://usn.ubuntu.com/3776-2/
https://usn.ubuntu.com/3777-1/
https://usn.ubuntu.com/3777-2/
https://usn.ubuntu.com/3777-3/
https://usn.ubuntu.com/3779-1/

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/errata/RHSA-2018:3651
https://access.redhat.com/errata/RHSA-2018:3666
https://access.redhat.com/errata/RHSA-2019:1946
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-14633.
Прочая информация:
Тип ошибки CWE: CWE-119
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.suse.com/security/cve/CVE-2018-14633/
https://usn.ubuntu.com/3775-1/
https://usn.ubuntu.com/3775-2/
https://usn.ubuntu.com/3776-1/
https://usn.ubuntu.com/3776-2/
https://usn.ubuntu.com/3777-1/
https://usn.ubuntu.com/3777-2/
https://usn.ubuntu.com/3777-3/
https://usn.ubuntu.com/3779-1/
https://access.redhat.com/errata/RHSA-2018:3651
https://access.redhat.com/errata/RHSA-2018:3666
https://access.redhat.com/errata/RHSA-2019:1946
https://git.kernel.org/pub/scm/linux/kernel/git/mkp/scsi.git/commit/?h=4.19/scsi-fixes&id=1816494330a83f2a064499d8ed2797045641f92c
https://git.kernel.org/pub/scm/linux/kernel/git/mkp/scsi.git/commit/?h=4.19/scsi-fixes&id=8c39e2699f8acb2e29782a834e56306da24937fe
https://lists.debian.org/debian-lts-announce/2018/10/msg00003.html
https://seclists.org/oss-sec/2018/q3/270

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *